Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86171 - Update created new error, can't install
Summary: Update created new error, can't install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 8.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-15 17:51 UTC by Nield Rankosa
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-22 16:30:37 UTC


Attachments (Terms of Use)

Description Nield Rankosa 2003-03-15 17:51:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I originally had a problem with installing that came right after formatting, 
when it was about to install. I went and downloaded an update, put it on a disk 
as directed, and typed linux updates in the initial boot screen. It read the 
updates and proceeded to initialize the installation program. I then get this 
message:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 594, in?
    intf.progressWindow, rootPath)
TypeError: __init__() takes exactly 3 arguments (5 given)
install exited abnormally


The update image file was named 8.0-cdread.img

Nield Rankosa

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download update specified above
2. Initialize installation using 'linux updates'
3. Allow installation to read update disk and proceed to graphical installation 
program


Actual Results:  I get the error specified in the description.

Expected Results:  I expect the updates to fix the previous error and continue 
to install.

Additional info:

Comment 1 Michael Fulbright 2003-03-17 19:23:40 UTC
Could you give the URL of the update image you are using?

Comment 2 Nield Rankosa 2003-03-18 06:42:14 UTC
http://people.redhat.com/~katzj/8.0-cdread.img

Comment 3 Jeremy Katz 2003-03-21 22:42:16 UTC
The image looks fine to me here -- can you attach the complete dump you receive?

Comment 4 Michael Fulbright 2003-04-22 16:30:37 UTC
Closing due to inactivity. If you have new information to add please reopen the
issue report.


Note You need to log in before you can comment on or make changes to this bug.